/*
 * Copyright (c) Cloud Software Group, Inc.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   1) Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *   2) Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials
 *      provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/* This file is autogenerated */

#ifndef XEN_API_XEN_ALL_H
#define XEN_API_XEN_ALL_H

#include <xen/api/xen_api_failure.h>
#include <xen/api/xen_api_version.h>
#include <xen/api/xen_common.h>
#include <xen/api/xen_event_batch.h>
#include <xen/api/xen_after_apply_guidance.h>
#include <xen/api/xen_allocation_algorithm.h>
#include <xen/api/xen_auth.h>
#include <xen/api/xen_blob.h>
#include <xen/api/xen_blob_xen_blob_record_map.h>
#include <xen/api/xen_bond.h>
#include <xen/api/xen_bond_mode.h>
#include <xen/api/xen_bond_xen_bond_record_map.h>
#include <xen/api/xen_certificate.h>
#include <xen/api/xen_certificate_type.h>
#include <xen/api/xen_certificate_xen_certificate_record_map.h>
#include <xen/api/xen_cls.h>
#include <xen/api/xen_cluster.h>
#include <xen/api/xen_cluster_host.h>
#include <xen/api/xen_cluster_host_operation.h>
#include <xen/api/xen_cluster_host_xen_cluster_host_record_map.h>
#include <xen/api/xen_cluster_operation.h>
#include <xen/api/xen_cluster_xen_cluster_record_map.h>
#include <xen/api/xen_console.h>
#include <xen/api/xen_console_protocol.h>
#include <xen/api/xen_console_xen_console_record_map.h>
#include <xen/api/xen_crashdump.h>
#include <xen/api/xen_crashdump_xen_crashdump_record_map.h>
#include <xen/api/xen_domain_type.h>
#include <xen/api/xen_dr_task.h>
#include <xen/api/xen_dr_task_xen_dr_task_record_map.h>
#include <xen/api/xen_event.h>
#include <xen/api/xen_event_operation.h>
#include <xen/api/xen_feature.h>
#include <xen/api/xen_feature_xen_feature_record_map.h>
#include <xen/api/xen_gpu_group.h>
#include <xen/api/xen_gpu_group_xen_gpu_group_record_map.h>
#include <xen/api/xen_host.h>
#include <xen/api/xen_host_allowed_operations.h>
#include <xen/api/xen_host_cpu.h>
#include <xen/api/xen_host_cpu_xen_host_cpu_record_map.h>
#include <xen/api/xen_host_crashdump.h>
#include <xen/api/xen_host_crashdump_xen_host_crashdump_record_map.h>
#include <xen/api/xen_host_display.h>
#include <xen/api/xen_host_metrics.h>
#include <xen/api/xen_host_metrics_xen_host_metrics_record_map.h>
#include <xen/api/xen_host_patch.h>
#include <xen/api/xen_host_patch_xen_host_patch_record_map.h>
#include <xen/api/xen_host_sched_gran.h>
#include <xen/api/xen_host_string_set_map.h>
#include <xen/api/xen_host_xen_host_record_map.h>
#include <xen/api/xen_int_float_map.h>
#include <xen/api/xen_int_int_map.h>
#include <xen/api/xen_int_string_set_map.h>
#include <xen/api/xen_ip_configuration_mode.h>
#include <xen/api/xen_ipv6_configuration_mode.h>
#include <xen/api/xen_latest_synced_updates_applied_state.h>
#include <xen/api/xen_livepatch_status.h>
#include <xen/api/xen_lvhd.h>
#include <xen/api/xen_message.h>
#include <xen/api/xen_message_xen_message_record_map.h>
#include <xen/api/xen_network.h>
#include <xen/api/xen_network_default_locking_mode.h>
#include <xen/api/xen_network_operations.h>
#include <xen/api/xen_network_purpose.h>
#include <xen/api/xen_network_sriov.h>
#include <xen/api/xen_network_sriov_xen_network_sriov_record_map.h>
#include <xen/api/xen_network_xen_network_record_map.h>
#include <xen/api/xen_observer.h>
#include <xen/api/xen_observer_xen_observer_record_map.h>
#include <xen/api/xen_on_boot.h>
#include <xen/api/xen_on_crash_behaviour.h>
#include <xen/api/xen_on_normal_exit.h>
#include <xen/api/xen_on_softreboot_behavior.h>
#include <xen/api/xen_pbd.h>
#include <xen/api/xen_pbd_xen_pbd_record_map.h>
#include <xen/api/xen_pci.h>
#include <xen/api/xen_pci_xen_pci_record_map.h>
#include <xen/api/xen_persistence_backend.h>
#include <xen/api/xen_pgpu.h>
#include <xen/api/xen_pgpu_dom0_access.h>
#include <xen/api/xen_pgpu_xen_pgpu_record_map.h>
#include <xen/api/xen_pif.h>
#include <xen/api/xen_pif_igmp_status.h>
#include <xen/api/xen_pif_metrics.h>
#include <xen/api/xen_pif_metrics_xen_pif_metrics_record_map.h>
#include <xen/api/xen_pif_xen_pif_record_map.h>
#include <xen/api/xen_pool.h>
#include <xen/api/xen_pool_allowed_operations.h>
#include <xen/api/xen_pool_patch.h>
#include <xen/api/xen_pool_patch_xen_pool_patch_record_map.h>
#include <xen/api/xen_pool_update.h>
#include <xen/api/xen_pool_update_xen_pool_update_record_map.h>
#include <xen/api/xen_pool_xen_pool_record_map.h>
#include <xen/api/xen_primary_address_type.h>
#include <xen/api/xen_probe_result.h>
#include <xen/api/xen_pusb.h>
#include <xen/api/xen_pusb_xen_pusb_record_map.h>
#include <xen/api/xen_pvs_cache_storage.h>
#include <xen/api/xen_pvs_cache_storage_xen_pvs_cache_storage_record_map.h>
#include <xen/api/xen_pvs_proxy.h>
#include <xen/api/xen_pvs_proxy_status.h>
#include <xen/api/xen_pvs_proxy_xen_pvs_proxy_record_map.h>
#include <xen/api/xen_pvs_server.h>
#include <xen/api/xen_pvs_server_xen_pvs_server_record_map.h>
#include <xen/api/xen_pvs_site.h>
#include <xen/api/xen_pvs_site_xen_pvs_site_record_map.h>
#include <xen/api/xen_repository.h>
#include <xen/api/xen_repository_xen_repository_record_map.h>
#include <xen/api/xen_role.h>
#include <xen/api/xen_role_xen_role_record_map.h>
#include <xen/api/xen_sdn_controller.h>
#include <xen/api/xen_sdn_controller_protocol.h>
#include <xen/api/xen_sdn_controller_xen_sdn_controller_record_map.h>
#include <xen/api/xen_secret.h>
#include <xen/api/xen_secret_xen_secret_record_map.h>
#include <xen/api/xen_sm.h>
#include <xen/api/xen_sm_xen_sm_record_map.h>
#include <xen/api/xen_sr.h>
#include <xen/api/xen_sr_health.h>
#include <xen/api/xen_sr_stat.h>
#include <xen/api/xen_sr_xen_sr_record_map.h>
#include <xen/api/xen_sriov_configuration_mode.h>
#include <xen/api/xen_storage_operations.h>
#include <xen/api/xen_string_blob_map.h>
#include <xen/api/xen_string_cluster_host_operation_map.h>
#include <xen/api/xen_string_cluster_operation_map.h>
#include <xen/api/xen_string_host_allowed_operations_map.h>
#include <xen/api/xen_string_int_map.h>
#include <xen/api/xen_string_network_operations_map.h>
#include <xen/api/xen_string_pool_allowed_operations_map.h>
#include <xen/api/xen_string_storage_operations_map.h>
#include <xen/api/xen_string_string_map.h>
#include <xen/api/xen_string_string_set_map.h>
#include <xen/api/xen_string_string_string_map_map.h>
#include <xen/api/xen_string_task_allowed_operations_map.h>
#include <xen/api/xen_string_vbd_operations_map.h>
#include <xen/api/xen_string_vdi_operations_map.h>
#include <xen/api/xen_string_vif_operations_map.h>
#include <xen/api/xen_string_vm_appliance_operation_map.h>
#include <xen/api/xen_string_vm_operations_map.h>
#include <xen/api/xen_string_vtpm_operations_map.h>
#include <xen/api/xen_string_vusb_operations_map.h>
#include <xen/api/xen_subject.h>
#include <xen/api/xen_subject_xen_subject_record_map.h>
#include <xen/api/xen_task.h>
#include <xen/api/xen_task_allowed_operations.h>
#include <xen/api/xen_task_status_type.h>
#include <xen/api/xen_task_xen_task_record_map.h>
#include <xen/api/xen_telemetry_frequency.h>
#include <xen/api/xen_tristate_type.h>
#include <xen/api/xen_tunnel.h>
#include <xen/api/xen_tunnel_protocol.h>
#include <xen/api/xen_tunnel_xen_tunnel_record_map.h>
#include <xen/api/xen_update_after_apply_guidance.h>
#include <xen/api/xen_update_guidances.h>
#include <xen/api/xen_update_sync_frequency.h>
#include <xen/api/xen_usb_group.h>
#include <xen/api/xen_usb_group_xen_usb_group_record_map.h>
#include <xen/api/xen_user.h>
#include <xen/api/xen_vbd.h>
#include <xen/api/xen_vbd_metrics.h>
#include <xen/api/xen_vbd_metrics_xen_vbd_metrics_record_map.h>
#include <xen/api/xen_vbd_mode.h>
#include <xen/api/xen_vbd_operations.h>
#include <xen/api/xen_vbd_type.h>
#include <xen/api/xen_vbd_xen_vbd_record_map.h>
#include <xen/api/xen_vdi.h>
#include <xen/api/xen_vdi_nbd_server_info.h>
#include <xen/api/xen_vdi_operations.h>
#include <xen/api/xen_vdi_sr_map.h>
#include <xen/api/xen_vdi_type.h>
#include <xen/api/xen_vdi_xen_vdi_record_map.h>
#include <xen/api/xen_vgpu.h>
#include <xen/api/xen_vgpu_gpu_group_map.h>
#include <xen/api/xen_vgpu_type.h>
#include <xen/api/xen_vgpu_type_implementation.h>
#include <xen/api/xen_vgpu_type_int_map.h>
#include <xen/api/xen_vgpu_type_xen_vgpu_type_record_map.h>
#include <xen/api/xen_vgpu_xen_vgpu_record_map.h>
#include <xen/api/xen_vif.h>
#include <xen/api/xen_vif_ipv4_configuration_mode.h>
#include <xen/api/xen_vif_ipv6_configuration_mode.h>
#include <xen/api/xen_vif_locking_mode.h>
#include <xen/api/xen_vif_metrics.h>
#include <xen/api/xen_vif_metrics_xen_vif_metrics_record_map.h>
#include <xen/api/xen_vif_network_map.h>
#include <xen/api/xen_vif_operations.h>
#include <xen/api/xen_vif_string_map.h>
#include <xen/api/xen_vif_xen_vif_record_map.h>
#include <xen/api/xen_vlan.h>
#include <xen/api/xen_vlan_xen_vlan_record_map.h>
#include <xen/api/xen_vm.h>
#include <xen/api/xen_vm_appliance.h>
#include <xen/api/xen_vm_appliance_operation.h>
#include <xen/api/xen_vm_appliance_xen_vm_appliance_record_map.h>
#include <xen/api/xen_vm_guest_metrics.h>
#include <xen/api/xen_vm_guest_metrics_xen_vm_guest_metrics_record_map.h>
#include <xen/api/xen_vm_metrics.h>
#include <xen/api/xen_vm_metrics_xen_vm_metrics_record_map.h>
#include <xen/api/xen_vm_operations.h>
#include <xen/api/xen_vm_operations_string_map.h>
#include <xen/api/xen_vm_power_state.h>
#include <xen/api/xen_vm_string_map.h>
#include <xen/api/xen_vm_string_set_map.h>
#include <xen/api/xen_vm_string_string_map_map.h>
#include <xen/api/xen_vm_xen_vm_record_map.h>
#include <xen/api/xen_vmpp.h>
#include <xen/api/xen_vmpp_archive_frequency.h>
#include <xen/api/xen_vmpp_archive_target_type.h>
#include <xen/api/xen_vmpp_backup_frequency.h>
#include <xen/api/xen_vmpp_backup_type.h>
#include <xen/api/xen_vmpp_xen_vmpp_record_map.h>
#include <xen/api/xen_vmss.h>
#include <xen/api/xen_vmss_frequency.h>
#include <xen/api/xen_vmss_type.h>
#include <xen/api/xen_vmss_xen_vmss_record_map.h>
#include <xen/api/xen_vtpm.h>
#include <xen/api/xen_vtpm_operations.h>
#include <xen/api/xen_vtpm_xen_vtpm_record_map.h>
#include <xen/api/xen_vusb.h>
#include <xen/api/xen_vusb_operations.h>
#include <xen/api/xen_vusb_xen_vusb_record_map.h>
#include <xen/api/xen_int_set.h>
#include <xen/api/xen_string_set.h>

#endif